Subject: bug#78995: [PATCH] ;;;autoload-expand for special macros

From: Stefan Monnier <[email-masked]>
Date: Sun, 27 Jul 2025 09:14:33 -0400

>> Ah right, my imagining above was not so misguided then.  Maybe the tramp
>> maintainer will want to expand that simple macro away now.
>
> I give this explanation to Stefan, he added this macro to Tramp years
> ago (commit 07d8827946f9) :-)
>
> --8<---------------cut here---------------start------------->8---
>     Functionally split tramp-loaddefs.el into two parts: one part run
>     while loading it at the very beginning of loading tramp.el (holding plain
>     autoloads and declarations), and another run at the very end of loading
>     tramp.el (holding setup code).
>     This should reduce infinite-recursion problems while loading.
> --8<---------------cut here---------------end--------------->8---
>
> See also bug#59194, which waits for me understanding what to do.

[ It did look like something I'd seen before but I had no recollection
  of actually writing it.  ]

Damn!  So now I'm the one who needs to figure out how to keep it working
in Emacs<31 while trying to make it behave with the new
"autoload-expand".

        Stefan